Bug 730227 - Review Request: jboss-transaction-1.1-api - Transaction 1.1 API
Summary: Review Request: jboss-transaction-1.1-api - Transaction 1.1 API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Grimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 730226
Blocks: 800756 801614 801865 802182
TreeView+ depends on / blocked
 
Reported: 2011-08-12 08:49 UTC by Marek Goldmann
Modified: 2016-11-08 03:45 UTC (History)
9 users (show)

Fixed In Version: jboss-transaction-1.1-api-1.0.1-0.1.20120309git3970b8.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 18:56:26 UTC
agrimm: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Alexander Kurtakov 2011-08-12 09:21:15 UTC
Why is this package needed at all ? JTA is part of JDK since version 1.3! I don't see a reason for having a package for smth that is in the JDK for that long.

Comment 2 Andy Grimm 2011-09-13 00:54:29 UTC
It seems that this implementation includes more classes than what's built into the JDK/JRE.  I have this same need (thought currently I'm using the geronimo implementation).  As far as I can tell from merely unzipping jar files, OpenJDK provides these classes:

javax/transaction/InvalidTransactionException.class
javax/transaction/TransactionRequiredException.class
javax/transaction/TransactionRolledbackException.class
javax/transaction/xa/XAException.class
javax/transaction/xa/XAResource.class
javax/transaction/xa/Xid.class

while the jboss and geronimo implementations provide:

javax/transaction/NotSupportedException.class
javax/transaction/RollbackException.class
javax/transaction/UserTransaction.class
javax/transaction/Transaction.class
javax/transaction/Synchronization.class
javax/transaction/HeuristicMixedException.class
javax/transaction/HeuristicCommitException.class
javax/transaction/InvalidTransactionException.class
javax/transaction/TransactionManager.class
javax/transaction/Status.class
javax/transaction/TransactionSynchronizationRegistry.class
javax/transaction/HeuristicRollbackException.class
javax/transaction/SystemException.class
javax/transaction/TransactionRequiredException.class
javax/transaction/TransactionRolledbackException.class
javax/transaction/xa/XAException.class
javax/transaction/xa/XAResource.class
javax/transaction/xa/Xid.class

Comment 3 Andy Grimm 2011-10-21 18:25:58 UTC
Sorry, I forgot this was in my queue.

rpmlint results:

jboss-transaction-1.1-api.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-transaction-1.1-api.src: W: invalid-url Source0: jboss-transaction-api_1.1_spec-1.0.0.Final-src-svn.tar.gz

These are normal.

jboss-transaction-1.1-api.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-transaction-1.1-api.noarch: W: no-documentation

The source provides no separate license file, changelog, etc.

jboss-transaction-1.1-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-transaction-1.1-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden

These are normal, too.

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[!]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[!]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:  rawhide x86_64 chroot on F16

=== Issues ===
1. apidocs directory exists under javadoc dir.

Comment 5 Andy Grimm 2011-11-01 14:50:21 UTC
Sorry again for the delay; I was on vacation last week and I'm catching up on things.

APPROVED

Comment 6 Marek Goldmann 2011-11-04 12:16:58 UTC
Don't worry Andy, thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-transaction-1.1-api
Short Description: Transaction 1.1 API
Owners:            goldmann

Comment 7 Gwyn Ciesla 2011-11-04 12:34:14 UTC
Git done (by process-git-requests).

Comment 8 Marek Goldmann 2011-11-07 13:28:45 UTC
Uh, I see now that this package is still blocked by FE-Legal. Rich - could you please check the package and lift the flag is everything is ok?

Comment 9 Andy Grimm 2011-11-18 17:44:42 UTC
I'm reassigning, since this is out of my court.

Comment 10 Marek Goldmann 2011-12-08 13:51:27 UTC
Rich?

Comment 11 Richard Fontana 2011-12-14 20:53:31 UTC
We can't lift the FE-Legal block yet.

Comment 12 Marek Goldmann 2012-03-07 07:10:10 UTC
License cleanup pull request: https://github.com/jboss/jboss-transaction-api_spec/pull/1

Comment 13 Marek Goldmann 2012-03-09 11:47:30 UTC
Spec URL:
http://goldmann.fedorapeople.org/package_review/jboss-transaction-1.1-api/3/jboss-transaction-1.1-api.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/jboss-transaction-1.1-api/3/jboss-transaction-1.1-api-1.0.1-0.1.20120309git3970b8.fc17.src.rpm

Rich, I fixed the package to use the latest upstream version with licensing fixed. Could you please lift the legal block now?

Comment 14 Richard Fontana 2012-03-10 04:03:04 UTC
Lifting FE-Legal.

Comment 15 Andy Grimm 2012-03-11 02:05:03 UTC
I looked over the latest revision.  Still approved.  :)

Comment 16 Fedora Update System 2012-03-11 12:27:53 UTC
jboss-transaction-1.1-api-1.0.1-0.1.20120309git3970b8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-transaction-1.1-api-1.0.1-0.1.20120309git3970b8.fc17

Comment 17 Fedora Update System 2012-03-16 19:04:22 UTC
jboss-transaction-1.1-api-1.0.1-0.1.20120309git3970b8.fc17 has been pushed to the Fedora 17 testing repository.

Comment 18 Fedora Update System 2012-03-21 18:56:26 UTC
jboss-transaction-1.1-api-1.0.1-0.1.20120309git3970b8.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.